Name:           ncmpc
Version:        0.21
Release:        11%{?dist}
Summary:        ncmpc is a curses client for the Music Player Daemon (MPD).

Group:          Applications/Multimedia
License:        GPLv2
URL:            http://www.musicpd.org/
Source0:        http://www.musicpd.org/download/%{name}/0/%{name}-%{version}.tar.bz2
Source1:        ncmpc-0.21-ja.po
Source2:        ncmpc-0.21-ja.ncmpc.man.1

Patch0:         ncmpc-0.21-lirc.patch
Patch1:         ncmpc-0.21-ja.patch
Patch2:         ncmpc-0.21-options.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	autoconf automake
BuildRequires:	gettext doxygen
BuildRequires:	ncurses-devel
BuildRequires:	glib2-devel >= 2.14
BuildRequires:	lirc-devel

### Custom rpms ###
BuildRequires:  libmpdclient-devel

%description
ncmpc is a curses client for the Music Player Daemon (MPD). ncmpc connects to
a MPD running on a machine on the local network, and controls this with an
interface inspired by cplay.

Music Player Daemon (MPD) allows remote access for playing music (MP3,
Ogg Vorbis, FLAC, AAC, and wave files) and managing playlists. MPD is
designed for integrating a computer into a stereo system that provides
control for music playback over a local network. Read more at musicpd.org

%package lyrics-hd
Summary:        Lyrics Plugin for %{name}
Group:          Applications/Internet
Requires:       ncmpc
BuildArch:      noarch

%description lyrics-hd
Lyrics Plugin for %{name}.

%package lyrics-leoslyrics
Summary:        Lyrics Plugin for %{name}
Group:          Applications/Internet
Requires:       ncmpc ruby python
BuildArch:      noarch

%description lyrics-leoslyrics
Lyrics Plugin for %{name}.

%package lyrics-lyricwiki
Summary:        Lyrics Plugin for %{name}
Group:          Applications/Internet
Requires:       ncmpc
BuildArch:      noarch

%description lyrics-lyricwiki
Lyrics Plugin for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%{__cp} %{SOURCE1} po/ja.po
autoreconf -ivf

%build
%configure \
	--enable-colors \
	--enable-lirc \
	--enable-help-screen \
	--enable-mouse \
	--enable-artist-screen \
	--enable-search-screen \
	--enable-song-screen \
	--enable-key-screen \
	--enable-lyrics-screen \
	--enable-outputs-screen \
	--enable-chat-screen \
	--enable-documentation \
	--with-ncurses \
	--with-lyrics-plugin-dir=%{_libexecdir}/%{name}

make %{?_smp_mflags}

pushd po/
make update-po
popd

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -D -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/ja/man1/ncmpc.1

install -D -m644 doc/config.sample $RPM_BUILD_ROOT%{_sysconfdir}/ncmpc/config
install -D -m644 doc/keys.sample $RPM_BUILD_ROOT%{_sysconfdir}/ncmpc/keys

%find_lang %{name}

rm -rf $RPM_BUILD_ROOT%{_docdir}/ncmpc

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL NEWS README doc/{config.sample,keys.sample,ncmpc.lirc}
%{_bindir}/ncmpc
%config(noreplace) %{_sysconfdir}/ncmpc/config
%config(noreplace) %{_sysconfdir}/ncmpc/keys
%{_mandir}/man1/ncmpc.1*
%lang(ja) %{_mandir}/ja/man1/ncmpc.1*

%files lyrics-hd
%{_libexecdir}/%{name}/10-hd.sh

%files lyrics-leoslyrics
%{_libexecdir}/%{name}/15-leoslyrics.sh
%{_libexecdir}/%{name}/30-leoslyrics.py*

%files lyrics-lyricwiki
%{_libexecdir}/%{name}/20-lyricwiki.rb

%changelog
* Thu Dec  5 2013 momo-i <webmaster@momo-i.org> - 0.21-11
- Update filelist

* Mon Oct  7 2013 momo-i <webmaster@momo-i.org> - 0.21-10
- Update doc

* Thu Jul  4 2013 momo-i <webmaster@momo-i.org> 0.21-9
- Relocate lyrics plugin libdir to libexecdir

* Wed Jul  3 2013 momo-i <webmaster@momo-i.org> 0.21-7
- lyrics plugin

* Tue Jul  2 2013 momo-i <webmaster@momo-i.org> 0.21-5
- placed sample config to /etc/ncmpc/*

* Tue Jul  2 2013 momo-i <webmaster@momo-i.org> 0.21-4
- Update src/option.c for translation.

* Tue Jul  2 2013 momo-i <webmaster@momo-i.org> 0.21-3
- Update japanese translation

* Tue Jul  2 2013 momo-i <webmaster@momo-i.org> 0.21-1
- Initial rpm release.
- Adding japanese translation. (a few transation...)
- Patching lirc-devel for fedora.
